import request from '@/utils/request'

// 查询轮胎基础信息列表
export function listBaseDevice(query) {
    return request({
        url: '/basedevice/basedevice/list',
        method: 'get',
        params: query
    })
}

// 查询轮胎基础信息详细
export function getBaseDevice(id) {
    return request({
        url: '/basedevice/basedevice/' + id,
        method: 'get'
    })
}

// 新增轮胎基础信息
export function addBaseDevice(data) {
    return request({
        url: '/basedevice/basedevice',
        method: 'post',
        data: data
    })
}

// 修改轮胎基础信息
export function updateBaseDevice(data) {
    return request({
        url: '/basedevice/basedevice',
        method: 'put',
        data: data
    })
}

// 删除轮胎基础信息
export function delBaseDevice(id) {
    return request({
        url: '/basedevice/basedevice/' + id,
        method: 'delete'
    })
}
